catalog:
  title: robocamp GUI

templates:
- freestyle
- ros-base
- base
- python-env

variables:
  description: >-
    A visualization of participants points in the robocamp.
  access: private

  url: https://gitlab.ub.uni-bielefeld.de/robocamp/gui.git
  branches:
  - master
  - noetic
  
  username: "gui"
  pwd: "4FbBG2Ki8454fXGjDCy3"

  platform-requires:
    ubuntu:
      packages:
      - libcanberra-gtk-module
      - libcanberra-gtk3-module
      - v4l2ucp
      - v4l-utils
      - libv4l-dev
      - python3-tk
      - python3-pil
      - python3-pil.imagetk
      - python3-catkin-pkg-modules
      - python3-rospkg-modules
      - python3-venv 

  python.version: 3
  cmake.options:
  - '@{next-value}'

  pre-build-hook/unix.command: |
    rm -rf gui
    git clone https://${username}:${pwd}@gitlab.ub.uni-bielefeld.de/robocamp/gui.git
    cd gui/
    git checkout ${branch}
        
    if [ -f ${toolkit.dir}/setup.sh ] ; then
       _ROS_UNDERLAY_=${toolkit.dir}/setup.sh
    else
       _ROS_UNDERLAY_=/opt/ros/${ros}/setup.sh
    fi
    set +x # disable verbose output
    . $_ROS_UNDERLAY_
    set -x
    python3.9 -m venv --clear ${toolkit.dir}/opt/robocamp_gui
    .  ${toolkit.dir}/opt/robocamp_gui/bin/activate
    export PYTHONPATH=${dependency-install-dir}/lib/python${python.version.majorminor}/dist-packages:${dependency-install-dir}/lib/python${python.version.majorminor}/site-packages:$PYTHONPATH
    pip install --upgrade -r requirements.txt
    catkin_make -DCMAKE_INSTALL_PREFIX="${ros.install.prefix}" -DPYTHON_EXECUTABLE=${python.binary.path} install
    cp point.png ${toolkit.dir}/share/robocamp_gui/
